package console.client;

import javax.swing.JList;
import javax.swing.ListCellRenderer;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.BorderFactory;
import javax.swing.DefaultListModel;
import java.awt.Color;
import java.awt.Component;

public class ListItem {
   /**
   ListItem:
   Defines the JList object item we use. Allows us to
   manage having different colours for the JList entries.
   */
   private Color color;
   private String value;

   public ListItem(Color c, String s) { 
     color = c;
     value = s; 
   }

   public Color getColor() {
     return color;
   }

   public String getValue() {
     return value;
   }
} /* ListItem */