#!/bin/bash

# Need to compile in this order
mkdir temp
cd temp
javac -d ./ ../Constants.java
javac -d ./ ../ListItem.java
javac -d ./ ../DisplayDetailsWindow.java
javac -d ./ ../SocketObject.java
javac -d ./ ../Alert_Console_MenuBar.java
javac -d ./ ../Alert_Console_Applet_MenuBar.java
javac -d ./ ../Alert_Console_List_MouseAdapter.java
javac -d ./ ../Alert_Console_Application.java
javac -d ./ ../Alert_Console_Applet.java
cp ../appl_manifest .
jar cvfm Alert_Console_Application.jar appl_manifest *.class console/client/*.class
cd ..
mv temp/Alert_Console_Application.jar .
rm -rf temp
